<?php
namespace Modules\Reception\Rules;

use Psr\Http\Message\ServerRequestInterface;

// @phpcs:ignore
class ControleQualite
{
    /** @var ServerRequestInterFace $request */
    protected ServerRequestInterface $request;
    
    /** @var \PDO $pdo */
    protected \PDO $pdo;
    
    public function __construct(ServerRequestInterface $request, \PDO $pdo)
    {
        $this->request  = $request;
        $this->pdo      = $pdo;
    }


    /**
     * @return bool
     */
    public function liste(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function ajaxDetailControle(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function saisieControleQualite(): bool
    {
        return true;
    }

    /**
     * @return bool
     */
    public function validate(): bool
    {
        return true;
    }
}
